Bug 973999 - anaconda calls hwclock on s390 and fails
Summary: anaconda calls hwclock on s390 and fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 19
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2013-06-13 09:07 UTC by Dan Horák
Modified: 2013-06-18 06:17 UTC (History)
8 users (show)

Fixed In Version: pykickstart-1.99.32-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 06:17:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb (278.36 KB, text/plain)
2013-06-13 09:07 UTC, Dan Horák
no flags Details

Description Dan Horák 2013-06-13 09:07:16 UTC
Created attachment 760533 [details]
anaconda-tb

recent commit 825e242 adds a call to hwclock which break installs on s390x completely, hwclock doesn't exists there


anaconda 19.30.5-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/subprocess.py", line 1308, in _execute_child
    raise child_exception
  File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 80, in _run_program
    preexec_fn=chroot, cwd=root, env=env)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 116, in execWithRedirect
    return _run_program(argv, stdin=stdin, stdout=stdout, root=root, env_prune=env_prune)[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/timezone.py", line 83, in time_initialize
    iutil.execWithRedirect(cmd, args)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
OSError: [Errno 2] No such file or directory


Version-Release number of selected component (if applicable):
anaconda-19.30.5-1.fc19

Comment 1 Vratislav Podzimek 2013-06-13 09:47:30 UTC
Updates image with the patch included: http://vpodzime.fedorapeople.org/973999_updates.img

Comment 2 Jan Stodola 2013-06-13 11:09:23 UTC
Thanks for the updates image, installation works fine with it.

Comment 3 Fedora Update System 2013-06-14 16:45:47 UTC
pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.6-1.fc19

Comment 4 Fedora Update System 2013-06-15 17:07:24 UTC
Package anaconda-19.30.7-1.fc19, pykickstart-1.99.32-1.fc19, python-blivet-0.16-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30.7-1.fc19 pykickstart-1.99.32-1.fc19 python-blivet-0.16-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10913/pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.7-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-06-18 06:17:11 UTC
pykickstart-1.99.32-1.fc19, python-blivet-0.16-1.fc19, anaconda-19.30.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.